Subject: draft-ietf-vrrp-spec-03, Sec 8.2 proposal

From: "G. Paul Ziemba" <[email-masked]>
Date: Wed, 12 Nov 1997 09:36:14 -0800 (PST)

Earlier, I wrote:
> In draft-ietf-vrrp-spec-03, Page 20 at the bottom (8.2 Host ARP Requests),
> the first paragraph of 8.2 concludes:
> 
>     The request MUST be handled as a standard ARP reply.
> 
> I don't understand what this means. Could someone please clarify?

Danny J. Mitzel replied:
> that paragraph does seem a bit unfocused.  most of the paragraph is
> dealing with the requirements the virtual router must comply with when
> generating ARP reply.  but then that last sentence appears to be addressing
> the end-host that generated the ARP request.  and it just says that the
> ARP reply for a VRRP address is no different from any other ARP reply,
> thus the end host should process it in whatever its ``standard'' method is.

I propose that the last sentence of the first paragraph of 8.2
be deleted, because:

    1. it is nonsensical (request != reply)
    2. it ostensibly prescribes behavior of the client (host), which
       is beyond the scope of the specification.

I am left with some nagging doubt, however, because the author of this
sentence must have had _something_ in mind when writing "MUST". Would
it make more sense to replace the sentence with something along the
lines of:

    It is expected that the client will treat the Master router's
    ARP reply in the normal fashion, viz., installing the virtual
    MAC address in its arp table as the referent of the virtual
    router's IP address.

 ~!paul